/**************************************************************
   AUTHOR:  Pat Heard (fullahead.org)
   DATE:    2006.09.12 
   PURPOSE: Controls the layout of the site and styles
            the menus
 **************************************************************/



/**************************************************************
   #wrapper & #content: wrapper positions and sets the width
   on the content.  The background is then applied to #content.
 **************************************************************/

#wrapper {
  width: 99%;
  height: 100%;
  margin: 0 auto;
  
  text-align: left;
}


#content { 
  float: left;
  width: 99%;
  height: 100%;
  min-height: 100%; 
  
  /*background: url(../img/bg/content.gif) repeat-y top center;*/
}


#content[id] {
  height: auto;  
 /* background: url(../img/bg/content.png) repeat-y top center;*/
}




/**************************************************************
   #header: Holds the site title and header images
 **************************************************************/

#header {
  padding: 60px 0 2em 49px;  
  /*background: url(../img/bg/header.jpg) no-repeat top center;*/
}

/* Forces IE to set the hasLayout flag and show the header at the height of its contents \*/
* html #header {
  height: 1%;
}
/* End hide from IE-mac */


#header h1,
#header h2 {
  margin: 0;
  padding: 0;  
  background: none;
}

#header h1 {
  font-family: "Georgia, "Times New Roman", "Times", serif;
  font-size: 3.5em;
  letter-spacing: -2px;
  color: #5e9040;
}




/**************************************************************
   #menu: The top level site menu
 **************************************************************/

#menu {
	text-align: left;
}

#menu a {
  margin-left: 20px;
  border-bottom-width: 5px;
  border-bottom-style: dotted;
  padding-bottom: 5px;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 15px;
  font-family: "Lucida Grande", Verdana, Arial, sans-serif;
  float: center;

  font: 400 1.54em;
  text-align: left;
  text-decoration: none;
  
  color: #61804E;
  border-bottom: #D3F1B6;
}

#menu a:visited {
  background-color: #FFF;
}

#menu a:hover {
  color: #2E5F0F;
/*  background: url(../img/bg/menu.gif) repeat-x bottom left; */
}

#menu a.here {
  color: #512103;
/*  background: url(../img/bg/menu.gif) repeat-x bottom left; */
}

ul#menu {
  padding-left: 0px;
  padding-bottom: 0;
  padding-right: 0;
  padding-top: 0;
  width: 1000px;
  margin: 0 auto;  
  padding: 0 !important;  
}

ul#menu li {
  display: inline;
  list-style: none;
  margin: 5px;
  padding: 5px;
}

ul#menu li a {
  border-bottom-width: 1px;
  border-bottom-style: solid;
  padding-bottom: 5px;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 15px;
  font-family: "Lucida Grande", Verdana, Arial, sans-serif;
  float: left;

  font: 400 1.54em;
  text-align: left;
  text-decoration: none;
  
  color: #61804E;
  border-bottom: #D3F1B6;
}

ul#menu li a:visited {
  background-color: #FFF;
}

ul#menu li a:hover {
  color: #2E5F0F;
  background: url(../img/bg/menu.gif) repeat-x bottom left;
}

ul#menu li a.here {
  color: #512103;
  background: url(../img/bg/menu.gif) repeat-x bottom left;
}

                                                        
/* helper classes to control width of links in topbar */
ul.two li a {
  width: 50%;
}

ul.three li a {
  width: 33%;
}

ul.four li a {
  width: 25%;
}

ul.five li a {
  width: 20%;
}

ul.nine li a {
	width: 9%;
}


/**************************************************************
   #page: Holds the main page content.
 **************************************************************/






#page {  
  float: left;
  clear: both;   
  /*width: 491px !important;*/
  width: 750px;
  
  /*padding: 2em 49px;  */
  padding: 2em 24px;
}




/**************************************************************
   .footer: Site footer
 **************************************************************/

.footer {
  padding-top: 3em;
  font-size: 0.85em;
}




/**************************************************************
   .bigLinks: Large, clickable links
 **************************************************************/

ul.bigLinks {
  margin: 10px 0;
  padding: 0;
  list-style: none;
  
}

ul.bigLinks li {
  display: inline;
  margin: 0;
  padding: 0;
  background: none;
}

ul.bigLinks li a,
ul.bigLinks li a:visited {  
  display: block;

  margin: 10px 0;
  padding: 3px;

  text-decoration: none;
  background-color: #FFF;
  border: 0;  
}

ul.bigLinks li a:hover {
  padding-bottom: 2px;
  background-color: #F1FFE3;
  border-bottom: 1px solid #B8E78B;
}

ul.bigLinks li a span.title {
  color: #5E9040;  
  border-bottom: 1px solid #B8E78B;
}

ul.bigLinks li a:hover span.title {
  color: #3C5D29;
  border-bottom: 1px solid #4A6E35;
}

ul.bigLinks li a span.desc {
  display: block;
  color: #6D6864;
}

ul.bigLinks li a:hover span.desc {
  color: #555;
}



/**************************************************************
   Width classes used by the site columns
 **************************************************************/

.width100 {
  width: 100%;
}

.width75 {
  width: 73%;
}

.width66 {
  width: 64%;
}

.width50 {
  width: 48%;
}

.width33 {
  width: 31%;
}

.width25 {
  width: 23%;
}



/**************************************************************
   Alignment classes
 **************************************************************/

.floatLeft {
  float: left;
}

.floatRight {
  float: right;
}

.alignLeft {
  text-align: left;
}

.alignRight {
  text-align: right;
}



/**************************************************************
   Generic display classes
 **************************************************************/

.clear {
  clear: both;
}

.block {
  display: block;
}

.big {
  font-size: 1.3em;  
}

.small {
  font-size: 0.85em;  
}

.bold {
  font-weight: bold;
}

.italic {
  font-style: italic;
}

.grey {
  color: #AAA;
}

.green {
  color: #82C048;
}

.darkGreen {
	font-style: normal;
	font-weight: normal;
	font-size: 2.3em;
	color: #5e9040;
}


.greenBg {
  padding: 0 10px;
  background-color: #F1FFE3;
  border-bottom: 1px solid #B8E78B;
}

.highlight {
  padding: 1px 2px;
  background: #D9F5EC;
  border-top: 1px solid #BDEDDE;
}

